# Uses of Class
com.logicaldoc.core.security.user.UserHistory

Packages that use UserHistory
Package
Description
com.logicaldoc.core.searchengine
The core of the search engine.
com.logicaldoc.core.security.user
Definition of the User object and ancillary objects

## Uses of UserHistory in com.logicaldoc.core.searchengine

Methods in com.logicaldoc.core.searchengine that return UserHistory
Modifier and Type
Method
Description
`UserHistory`
SearchOptions.`getTransaction()`
Methods in com.logicaldoc.core.searchengine with parameters of type UserHistory
Modifier and Type
Method
Description
`void`
SearchOptions.`setTransaction(UserHistory transaction)`

## Uses of UserHistory in com.logicaldoc.core.security.user

Methods in com.logicaldoc.core.security.user that return UserHistory
Modifier and Type
Method
Description
`UserHistory`
HibernateUserHistoryDAO.`createUserHistory(User user, UserEvent eventType, String comment, String sessionId, Client client)`
`UserHistory`
UserHistoryDAO.`createUserHistory(User user, UserEvent event, String comment, String sessionId, Client client)`
Creates an user history entry
Methods in com.logicaldoc.core.security.user that return types with arguments of type UserHistory
Modifier and Type
Method
Description
`List<UserHistory>`
HibernateUserHistoryDAO.`findByUserId(long userId)`
`List<UserHistory>`
UserHistoryDAO.`findByUserId(long userId)`
This method selects all histories of a given user.
`List<UserHistory>`
HibernateUserHistoryDAO.`findByUserIdAndEvent(long userId, String event)`
`List<UserHistory>`
UserHistoryDAO.`findByUserIdAndEvent(long userId, String event)`
This method selects all histories of a given user and a given type.
Methods in com.logicaldoc.core.security.user with parameters of type UserHistory
Modifier and Type
Method
Description
`void`
UserListener.`afterStore(User user, UserHistory transaction, Map<String,Object> dictionary)`
Called after a user is stored in the database
`void`
UserListener.`beforeStore(User user, UserHistory transaction, Map<String,Object> dictionary)`
Called before a user is stored in the database
`void`
HibernateUserDAO.`delete(long userId, UserHistory transaction)`
`void`
UserDAO.`delete(long userId, UserHistory transaction)`
This method deletes the user object and insert a new user history entry.
`void`
HibernateUserDAO.`store(User user, UserHistory transaction)`
`void`
UserDAO.`store(User user, UserHistory transaction)`
This method persists the user object and insert a new user history entry.